## hkl-factory-private

hkl-factory-private

## Functions

HklGeometry * | (*HklFactoryGeometryFunction) ()
HklEngineList * | (*HklFactoryEngineListFunction) ()
#define | REGISTER_DIFFRACTOMETER()

## Types and Values

| HklFactory

## Description

## Functions

### HklFactoryGeometryFunction ()

    HklGeometry *
    (*HklFactoryGeometryFunction) (const HklFactory *factory);

### HklFactoryEngineListFunction ()

    HklEngineList *
    (*HklFactoryEngineListFunction) (const HklFactory *factory);

### REGISTER_DIFFRACTOMETER()

    #define             REGISTER_DIFFRACTOMETER(name_, real_name_, description_)

## Types and Values

### HklFactory

    typedef struct {
    	const char *name;
    	const char *description;
    	const darray_string axes;
    	HklFactoryGeometryFunction create_new_geometry;
    	HklFactoryEngineListFunction create_new_engine_list;
    } HklFactory;